## org.hibernate.metamodel.domain
Enum PluralAttributeNature

    java.lang.Object
      java.lang.Enum<PluralAttributeNature>
          org.hibernate.metamodel.domain.PluralAttributeNature

All Implemented Interfaces:
  Serializable, Comparable<PluralAttributeNature>

    public enum PluralAttributeNature

extends Enum<PluralAttributeNature>

Identifies the specific semantic of a plural valued attribute.

Enum Constant Summary
`BAG`
`IDBAG`
`LIST`
`MAP`
`SET`

Method Summary
`Class` `getJavaContract()`
`String` `getName()`
`boolean` `isIndexed()`
`static PluralAttributeNature` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PluralAttributeNature[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BAG

    public static final PluralAttributeNature BAG

### IDBAG

    public static final PluralAttributeNature IDBAG

### SET

    public static final PluralAttributeNature SET

### LIST

    public static final PluralAttributeNature LIST

### MAP

    public static final PluralAttributeNature MAP

Method Detail

### values

    public static PluralAttributeNature[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PluralAttributeNature c : PluralAttributeNature.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PluralAttributeNature valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getName

    public String getName()

### getJavaContract

    public Class getJavaContract()

### isIndexed

    public boolean isIndexed()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.